Skip to main content
POST
Create a WOD

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

wodup-gym
string

Only used by platform integrations
ID of gym to execute on behalf of

Example:

"gym_123abc"

Body

application/json

POST body for creating a wod

components
object[]
required

Components in this WOD

occurs_on
string<date>
required

Date WOD is programmed on

publish_at
string<date-time>
required

Time when WOD is visible

athlete_id
string

ID of athlete to program WOD for

name
string

WOD name

order
integer
default:0

WOD order if multiple WODs on same day

program_id
string

ID of program to program WOD for

Response

Create WOD response

Response schema for creating a wod

components
object[]

Components in this WOD

id
string

WOD ID

name
string | null

WOD name

occurs_on
string<date>

Date WOD is programmed on

order
integer
default:0

WOD order if multiple WODs on same day

publish_at
string<date-time>

Time when WOD is visible